function v = make6vector( m )
%v = make6vector( m )  Convert a symmetric 3*3 matrix into a 6*1 vector.
%If m is a N*3*3 matrix, v will be N*6.

    symmetrycount = 2;
    v = [ m(1,1), m(2,2), m(3,3), symmetrycount*[m(2,3), m(3,1), m(1,2)] ];
end
